Prometheus API
Returns a list of label values for a provided label name
post
/api/prometheus/api/v1/label/{label_name}/valuesParameters 1
label_namepathrequiredThe label name whose values are returned.
string
bash
Sample request1234curl --request POST 'https://api.eu-west-1.aws.dash0.com/api/prometheus/api/v1/label/service_name/values' \--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \--header 'Content-Type: application/json' \--data-raw '{}'
Request body
References PrometheusLabelNamesOrValuesRequest
string
string
string[]
integer
Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.
Responses
Returns a list of label values for a provided label name.
References PrometheusLabelNamesOrValuesResponse
stringrequired
string[]
string[]